// GliD3DCfgDlg.h
//

#if !defined(AFX_GLID3DCFGDLG_H__79BBB9C6_C634_11D1_8506_00001C1AC45D__INCLUDED_)
#define AFX_GLID3DCFGDLG_H__79BBB9C6_C634_11D1_8506_00001C1AC45D__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "GbVideo.h"

/////////////////////////////////////////////////////////////////////////////
// CGliD3DCfgDlg dialog

extern CHAR g_pszDeviceName[256];
extern BOOL g_bNoFog;
extern BOOL g_bNoVsync;
extern BOOL g_bSoftwareEmulation;
extern BOOL g_bWindowMode;
extern BOOL g_bUseZForW;
extern BOOL g_bNoGammaControl;
extern INT g_nGammaBase;
extern INT g_nContrast;
extern INT g_nResolution[5];
extern INT g_nWidth[5];
extern INT g_nHeight[5];
extern INT g_nColor[2];
extern BOOL g_bScalingFix;
extern INT g_nTextureReduceMemory;

extern INT g_nNumModes;
extern GBVIDEOMODEINFO g_modeinfo[128];

class CGliD3DCfgDlg : public CDialog
{
// Constract
public:
	CGliD3DCfgDlg(CWnd* pParent = NULL);

// Dialog Data
	//{{AFX_DATA(CGliD3DCfgDlg)
	enum { IDD = IDD_GLID3DCFG_DIALOG };
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CGliD3DCfgDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

// Implementations
protected:
	HICON m_hIcon;

	//{{AFX_MSG(CGliD3DCfgDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeComboDevice();
	virtual void OnOK();
	afx_msg void OnCheckNogammacontrol();
	afx_msg void OnSelchangeComboCol16();
	afx_msg void OnSelchangeComboCol24();
	afx_msg void OnSelchangeComboRes1024x768();
	afx_msg void OnSelchangeComboRes512x384();
	afx_msg void OnSelchangeComboRes640x400();
	afx_msg void OnSelchangeComboRes640x480();
	afx_msg void OnSelchangeComboRes800x600();
	afx_msg void OnCheckNofog();
	afx_msg void OnCheckNovsync();
	afx_msg void OnCheckScalingfix();
	afx_msg void OnCheckSoftwareemulation();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnCheckWindowmode();
	afx_msg void OnCheckUsezforw();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_CLID3DCFGDLG_H__79BBB9C6_C634_11D1_8506_00001C1AC45D__INCLUDED_)
