/////////////////////////////////////////////////////////////////////////////
// GbDebug.h : Gamebios Debug
/////////////////////////////////////////////////////////////////////////////
#ifndef __GBDEBUG_H__
#define __GBDEBUG_H__
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Directive

#include "Gamebios.h"

/////////////////////////////////////////////////////////////////////////////
// Prototype

#ifdef TRACE
#undef TRACE
#endif

#ifdef _DEBUG
#define TRACE GBDebugDump
#else
#define TRACE GBDebugNoDump
#endif

GBEXPORT BOOL GBDebugStartup(LPCSTR pszFileName);
GBEXPORT VOID GBDebugCleanup();

GBEXPORT VOID GBDebugDump(LPCTSTR pszFormat, ...);
//GBEXPORT VOID GBDebugNoDump(LPCTSTR pszFormat, ...);
inline VOID GBDebugNoDump(LPCTSTR pszFormat, ...) {}

/////////////////////////////////////////////////////////////////////////////
#endif
/////////////////////////////////////////////////////////////////////////////
